/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.ManyToMany;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TCUSTPERSON")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tcustperson.findAll", query = "SELECT t FROM Tcustperson t"),
    @NamedQuery(name = "Tcustperson.findByPersoncode", query = "SELECT t FROM Tcustperson t WHERE t.personcode = :personcode")})
public class Tcustperson implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "PERSONCODE")
    private Long personcode;
    @ManyToMany(mappedBy = "tcustpersonCollection")
    private Collection<Tgenecompany> tgenecompanyCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustcompanyclient> tcustcompanyclientCollection;
    @OneToMany(mappedBy = "clientpersoncode")
    private Collection<Tcustcompanyclient> tcustcompanyclientCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcusteconomicgroup> tcusteconomicgroupCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson1")
    private Collection<Tcusteconomicgroup> tcusteconomicgroupCollection1;
    @OneToOne(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Tcustnotaryoffice tcustnotaryoffice;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpersondetail> tcustpersondetailCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpersonaddress> tcustpersonaddressCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustcompanyfinancial> tcustcompanyfinancialCollection;
    @OneToMany(mappedBy = "bankpersoncode")
    private Collection<Tcustpeopleloan> tcustpeopleloanCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeopleloan> tcustpeopleloanCollection1;
    @OneToOne(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Tcustinsurance tcustinsurance;
    @OneToMany(mappedBy = "mortgagepersoncode")
    private Collection<Tcustpeopleotherassets> tcustpeopleotherassetsCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeopleotherassets> tcustpeopleotherassetsCollection1;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tarmdocumentohabilitante> tarmdocumentohabilitanteCollection;
    @OneToMany(mappedBy = "bankpersoncode")
    private Collection<Tcustpeoplefixedincome> tcustpeoplefixedincomeCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeoplefixedincome> tcustpeoplefixedincomeCollection1;
    @OneToOne(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Tcustsupervisor tcustsupervisor;
    @OneToMany(mappedBy = "personcodecomprador")
    private Collection<Tarmmovimientoarmas> tarmmovimientoarmasCollection;
    @OneToMany(mappedBy = "personcodevendedor")
    private Collection<Tarmmovimientoarmas> tarmmovimientoarmasCollection1;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tgenetechnicalpatrimony> tgenetechnicalpatrimonyCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "personcode")
    private Collection<Tarmcarga> tarmcargaCollection;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tarmsanciondecomiso> tarmsanciondecomisoCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustcompanyproducts> tcustcompanyproductsCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeopleincome> tcustpeopleincomeCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeopleaditionaldata> tcustpeopleaditionaldataCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeople> tcustpeopleCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustfamiliarllink> tcustfamiliarllinkCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson1")
    private Collection<Tcustfamiliarllink> tcustfamiliarllinkCollection1;
    @OneToMany(mappedBy = "cempresa")
    private Collection<Tarmguardias> tarmguardiasCollection;
    @OneToOne(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Tarmguardias tarmguardias;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustbalance> tcustbalanceCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpersonbankreference> tcustpersonbankreferenceCollection;
    @OneToMany(mappedBy = "bankpersoncode")
    private Collection<Tcustpersonbankreference> tcustpersonbankreferenceCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustcompanyprovider> tcustcompanyproviderCollection;
    @OneToMany(mappedBy = "providerpersoncode")
    private Collection<Tcustcompanyprovider> tcustcompanyproviderCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustlegallink> tcustlegallinkCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson1")
    private Collection<Tcustlegallink> tcustlegallinkCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustcompanymanagers> tcustcompanymanagersCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson1")
    private Collection<Tcustcompanymanagers> tcustcompanymanagersCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeopleexpenses> tcustpeopleexpensesCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustcompanybranch> tcustcompanybranchCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeopletradereferences> tcustpeopletradereferencesCollection;
    @OneToMany(mappedBy = "tradepersoncode")
    private Collection<Tcustpeopletradereferences> tcustpeopletradereferencesCollection1;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tarmsitioalmacenamiento> tarmsitioalmacenamientoCollection;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tgenecompany> tgenecompanyCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeoplevehicle> tcustpeoplevehicleCollection;
    @OneToMany(mappedBy = "pledgedpersoncode")
    private Collection<Tcustpeoplevehicle> tcustpeoplevehicleCollection1;
    @OneToOne(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Tcustfinancialinstitutions tcustfinancialinstitutions;
    @OneToMany(mappedBy = "personcodigo")
    private Collection<Tarmcomerciantecupo> tarmcomerciantecupoCollection;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tsafeuser> tsafeuserCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpersonphone> tcustpersonphoneCollection;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tarminspeccion> tarminspeccionCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpersonpersonalreference> tcustpersonpersonalreferenceCollection;
    @OneToMany(mappedBy = "referencepersoncode")
    private Collection<Tcustpersonpersonalreference> tcustpersonpersonalreferenceCollection1;
    @OneToMany(mappedBy = "empresapersoncode")
    private Collection<Tarmevaluacion> tarmevaluacionCollection;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tarmevaluacion> tarmevaluacionCollection1;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tarmagenciasucursal> tarmagenciasucursalCollection;
    @OneToMany(mappedBy = "personcoderegistra")
    private Collection<Tarmdecomiso> tarmdecomisoCollection;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tarmdecomiso> tarmdecomisoCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeopleassociation> tcustpeopleassociationCollection;
    @OneToMany(mappedBy = "associationpersoncode")
    private Collection<Tcustpeopleassociation> tcustpeopleassociationCollection1;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tarmsolicitud> tarmsolicitudCollection;
    @OneToMany(mappedBy = "personcodigo")
    private Collection<Tarmtotalpersona> tarmtotalpersonaCollection;
    @OneToMany(mappedBy = "mortgagepersoncode")
    private Collection<Tcustpeoplerealassets> tcustpeoplerealassetsCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeoplerealassets> tcustpeoplerealassetsCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustpeoplejob> tcustpeoplejobCollection;
    @OneToMany(mappedBy = "employerpersoncode")
    private Collection<Tcustpeoplejob> tcustpeoplejobCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tcustperson")
    private Collection<Tcustcompany> tcustcompanyCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "personcode")
    private Collection<Tarmregistroarmas> tarmregistroarmasCollection;
    @OneToMany(mappedBy = "personcodeprop")
    private Collection<Tarmcustodiatemporal> tarmcustodiatemporalCollection;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tarmcustodiatemporal> tarmcustodiatemporalCollection1;
    @OneToMany(mappedBy = "personcode")
    private Collection<Tarmcertificadofiscalia> tarmcertificadofiscaliaCollection;

    public Tcustperson() {
    }

    public Tcustperson(Long personcode) {
        this.personcode = personcode;
    }

    public Long getPersoncode() {
        return personcode;
    }

    public void setPersoncode(Long personcode) {
        this.personcode = personcode;
    }

    @XmlTransient
    public Collection<Tgenecompany> getTgenecompanyCollection() {
        return tgenecompanyCollection;
    }

    public void setTgenecompanyCollection(Collection<Tgenecompany> tgenecompanyCollection) {
        this.tgenecompanyCollection = tgenecompanyCollection;
    }

    @XmlTransient
    public Collection<Tcustcompanyclient> getTcustcompanyclientCollection() {
        return tcustcompanyclientCollection;
    }

    public void setTcustcompanyclientCollection(Collection<Tcustcompanyclient> tcustcompanyclientCollection) {
        this.tcustcompanyclientCollection = tcustcompanyclientCollection;
    }

    @XmlTransient
    public Collection<Tcustcompanyclient> getTcustcompanyclientCollection1() {
        return tcustcompanyclientCollection1;
    }

    public void setTcustcompanyclientCollection1(Collection<Tcustcompanyclient> tcustcompanyclientCollection1) {
        this.tcustcompanyclientCollection1 = tcustcompanyclientCollection1;
    }

    @XmlTransient
    public Collection<Tcusteconomicgroup> getTcusteconomicgroupCollection() {
        return tcusteconomicgroupCollection;
    }

    public void setTcusteconomicgroupCollection(Collection<Tcusteconomicgroup> tcusteconomicgroupCollection) {
        this.tcusteconomicgroupCollection = tcusteconomicgroupCollection;
    }

    @XmlTransient
    public Collection<Tcusteconomicgroup> getTcusteconomicgroupCollection1() {
        return tcusteconomicgroupCollection1;
    }

    public void setTcusteconomicgroupCollection1(Collection<Tcusteconomicgroup> tcusteconomicgroupCollection1) {
        this.tcusteconomicgroupCollection1 = tcusteconomicgroupCollection1;
    }

    public Tcustnotaryoffice getTcustnotaryoffice() {
        return tcustnotaryoffice;
    }

    public void setTcustnotaryoffice(Tcustnotaryoffice tcustnotaryoffice) {
        this.tcustnotaryoffice = tcustnotaryoffice;
    }

    @XmlTransient
    public Collection<Tcustpersondetail> getTcustpersondetailCollection() {
        return tcustpersondetailCollection;
    }

    public void setTcustpersondetailCollection(Collection<Tcustpersondetail> tcustpersondetailCollection) {
        this.tcustpersondetailCollection = tcustpersondetailCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonaddress> getTcustpersonaddressCollection() {
        return tcustpersonaddressCollection;
    }

    public void setTcustpersonaddressCollection(Collection<Tcustpersonaddress> tcustpersonaddressCollection) {
        this.tcustpersonaddressCollection = tcustpersonaddressCollection;
    }

    @XmlTransient
    public Collection<Tcustcompanyfinancial> getTcustcompanyfinancialCollection() {
        return tcustcompanyfinancialCollection;
    }

    public void setTcustcompanyfinancialCollection(Collection<Tcustcompanyfinancial> tcustcompanyfinancialCollection) {
        this.tcustcompanyfinancialCollection = tcustcompanyfinancialCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleloan> getTcustpeopleloanCollection() {
        return tcustpeopleloanCollection;
    }

    public void setTcustpeopleloanCollection(Collection<Tcustpeopleloan> tcustpeopleloanCollection) {
        this.tcustpeopleloanCollection = tcustpeopleloanCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleloan> getTcustpeopleloanCollection1() {
        return tcustpeopleloanCollection1;
    }

    public void setTcustpeopleloanCollection1(Collection<Tcustpeopleloan> tcustpeopleloanCollection1) {
        this.tcustpeopleloanCollection1 = tcustpeopleloanCollection1;
    }

    public Tcustinsurance getTcustinsurance() {
        return tcustinsurance;
    }

    public void setTcustinsurance(Tcustinsurance tcustinsurance) {
        this.tcustinsurance = tcustinsurance;
    }

    @XmlTransient
    public Collection<Tcustpeopleotherassets> getTcustpeopleotherassetsCollection() {
        return tcustpeopleotherassetsCollection;
    }

    public void setTcustpeopleotherassetsCollection(Collection<Tcustpeopleotherassets> tcustpeopleotherassetsCollection) {
        this.tcustpeopleotherassetsCollection = tcustpeopleotherassetsCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleotherassets> getTcustpeopleotherassetsCollection1() {
        return tcustpeopleotherassetsCollection1;
    }

    public void setTcustpeopleotherassetsCollection1(Collection<Tcustpeopleotherassets> tcustpeopleotherassetsCollection1) {
        this.tcustpeopleotherassetsCollection1 = tcustpeopleotherassetsCollection1;
    }

    @XmlTransient
    public Collection<Tarmdocumentohabilitante> getTarmdocumentohabilitanteCollection() {
        return tarmdocumentohabilitanteCollection;
    }

    public void setTarmdocumentohabilitanteCollection(Collection<Tarmdocumentohabilitante> tarmdocumentohabilitanteCollection) {
        this.tarmdocumentohabilitanteCollection = tarmdocumentohabilitanteCollection;
    }

    @XmlTransient
    public Collection<Tcustpeoplefixedincome> getTcustpeoplefixedincomeCollection() {
        return tcustpeoplefixedincomeCollection;
    }

    public void setTcustpeoplefixedincomeCollection(Collection<Tcustpeoplefixedincome> tcustpeoplefixedincomeCollection) {
        this.tcustpeoplefixedincomeCollection = tcustpeoplefixedincomeCollection;
    }

    @XmlTransient
    public Collection<Tcustpeoplefixedincome> getTcustpeoplefixedincomeCollection1() {
        return tcustpeoplefixedincomeCollection1;
    }

    public void setTcustpeoplefixedincomeCollection1(Collection<Tcustpeoplefixedincome> tcustpeoplefixedincomeCollection1) {
        this.tcustpeoplefixedincomeCollection1 = tcustpeoplefixedincomeCollection1;
    }

    public Tcustsupervisor getTcustsupervisor() {
        return tcustsupervisor;
    }

    public void setTcustsupervisor(Tcustsupervisor tcustsupervisor) {
        this.tcustsupervisor = tcustsupervisor;
    }

    @XmlTransient
    public Collection<Tarmmovimientoarmas> getTarmmovimientoarmasCollection() {
        return tarmmovimientoarmasCollection;
    }

    public void setTarmmovimientoarmasCollection(Collection<Tarmmovimientoarmas> tarmmovimientoarmasCollection) {
        this.tarmmovimientoarmasCollection = tarmmovimientoarmasCollection;
    }

    @XmlTransient
    public Collection<Tarmmovimientoarmas> getTarmmovimientoarmasCollection1() {
        return tarmmovimientoarmasCollection1;
    }

    public void setTarmmovimientoarmasCollection1(Collection<Tarmmovimientoarmas> tarmmovimientoarmasCollection1) {
        this.tarmmovimientoarmasCollection1 = tarmmovimientoarmasCollection1;
    }

    @XmlTransient
    public Collection<Tgenetechnicalpatrimony> getTgenetechnicalpatrimonyCollection() {
        return tgenetechnicalpatrimonyCollection;
    }

    public void setTgenetechnicalpatrimonyCollection(Collection<Tgenetechnicalpatrimony> tgenetechnicalpatrimonyCollection) {
        this.tgenetechnicalpatrimonyCollection = tgenetechnicalpatrimonyCollection;
    }

    @XmlTransient
    public Collection<Tarmcarga> getTarmcargaCollection() {
        return tarmcargaCollection;
    }

    public void setTarmcargaCollection(Collection<Tarmcarga> tarmcargaCollection) {
        this.tarmcargaCollection = tarmcargaCollection;
    }

    @XmlTransient
    public Collection<Tarmsanciondecomiso> getTarmsanciondecomisoCollection() {
        return tarmsanciondecomisoCollection;
    }

    public void setTarmsanciondecomisoCollection(Collection<Tarmsanciondecomiso> tarmsanciondecomisoCollection) {
        this.tarmsanciondecomisoCollection = tarmsanciondecomisoCollection;
    }

    @XmlTransient
    public Collection<Tcustcompanyproducts> getTcustcompanyproductsCollection() {
        return tcustcompanyproductsCollection;
    }

    public void setTcustcompanyproductsCollection(Collection<Tcustcompanyproducts> tcustcompanyproductsCollection) {
        this.tcustcompanyproductsCollection = tcustcompanyproductsCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleincome> getTcustpeopleincomeCollection() {
        return tcustpeopleincomeCollection;
    }

    public void setTcustpeopleincomeCollection(Collection<Tcustpeopleincome> tcustpeopleincomeCollection) {
        this.tcustpeopleincomeCollection = tcustpeopleincomeCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleaditionaldata> getTcustpeopleaditionaldataCollection() {
        return tcustpeopleaditionaldataCollection;
    }

    public void setTcustpeopleaditionaldataCollection(Collection<Tcustpeopleaditionaldata> tcustpeopleaditionaldataCollection) {
        this.tcustpeopleaditionaldataCollection = tcustpeopleaditionaldataCollection;
    }

    @XmlTransient
    public Collection<Tcustpeople> getTcustpeopleCollection() {
        return tcustpeopleCollection;
    }

    public void setTcustpeopleCollection(Collection<Tcustpeople> tcustpeopleCollection) {
        this.tcustpeopleCollection = tcustpeopleCollection;
    }

    @XmlTransient
    public Collection<Tcustfamiliarllink> getTcustfamiliarllinkCollection() {
        return tcustfamiliarllinkCollection;
    }

    public void setTcustfamiliarllinkCollection(Collection<Tcustfamiliarllink> tcustfamiliarllinkCollection) {
        this.tcustfamiliarllinkCollection = tcustfamiliarllinkCollection;
    }

    @XmlTransient
    public Collection<Tcustfamiliarllink> getTcustfamiliarllinkCollection1() {
        return tcustfamiliarllinkCollection1;
    }

    public void setTcustfamiliarllinkCollection1(Collection<Tcustfamiliarllink> tcustfamiliarllinkCollection1) {
        this.tcustfamiliarllinkCollection1 = tcustfamiliarllinkCollection1;
    }

    @XmlTransient
    public Collection<Tarmguardias> getTarmguardiasCollection() {
        return tarmguardiasCollection;
    }

    public void setTarmguardiasCollection(Collection<Tarmguardias> tarmguardiasCollection) {
        this.tarmguardiasCollection = tarmguardiasCollection;
    }

    public Tarmguardias getTarmguardias() {
        return tarmguardias;
    }

    public void setTarmguardias(Tarmguardias tarmguardias) {
        this.tarmguardias = tarmguardias;
    }

    @XmlTransient
    public Collection<Tcustbalance> getTcustbalanceCollection() {
        return tcustbalanceCollection;
    }

    public void setTcustbalanceCollection(Collection<Tcustbalance> tcustbalanceCollection) {
        this.tcustbalanceCollection = tcustbalanceCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonbankreference> getTcustpersonbankreferenceCollection() {
        return tcustpersonbankreferenceCollection;
    }

    public void setTcustpersonbankreferenceCollection(Collection<Tcustpersonbankreference> tcustpersonbankreferenceCollection) {
        this.tcustpersonbankreferenceCollection = tcustpersonbankreferenceCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonbankreference> getTcustpersonbankreferenceCollection1() {
        return tcustpersonbankreferenceCollection1;
    }

    public void setTcustpersonbankreferenceCollection1(Collection<Tcustpersonbankreference> tcustpersonbankreferenceCollection1) {
        this.tcustpersonbankreferenceCollection1 = tcustpersonbankreferenceCollection1;
    }

    @XmlTransient
    public Collection<Tcustcompanyprovider> getTcustcompanyproviderCollection() {
        return tcustcompanyproviderCollection;
    }

    public void setTcustcompanyproviderCollection(Collection<Tcustcompanyprovider> tcustcompanyproviderCollection) {
        this.tcustcompanyproviderCollection = tcustcompanyproviderCollection;
    }

    @XmlTransient
    public Collection<Tcustcompanyprovider> getTcustcompanyproviderCollection1() {
        return tcustcompanyproviderCollection1;
    }

    public void setTcustcompanyproviderCollection1(Collection<Tcustcompanyprovider> tcustcompanyproviderCollection1) {
        this.tcustcompanyproviderCollection1 = tcustcompanyproviderCollection1;
    }

    @XmlTransient
    public Collection<Tcustlegallink> getTcustlegallinkCollection() {
        return tcustlegallinkCollection;
    }

    public void setTcustlegallinkCollection(Collection<Tcustlegallink> tcustlegallinkCollection) {
        this.tcustlegallinkCollection = tcustlegallinkCollection;
    }

    @XmlTransient
    public Collection<Tcustlegallink> getTcustlegallinkCollection1() {
        return tcustlegallinkCollection1;
    }

    public void setTcustlegallinkCollection1(Collection<Tcustlegallink> tcustlegallinkCollection1) {
        this.tcustlegallinkCollection1 = tcustlegallinkCollection1;
    }

    @XmlTransient
    public Collection<Tcustcompanymanagers> getTcustcompanymanagersCollection() {
        return tcustcompanymanagersCollection;
    }

    public void setTcustcompanymanagersCollection(Collection<Tcustcompanymanagers> tcustcompanymanagersCollection) {
        this.tcustcompanymanagersCollection = tcustcompanymanagersCollection;
    }

    @XmlTransient
    public Collection<Tcustcompanymanagers> getTcustcompanymanagersCollection1() {
        return tcustcompanymanagersCollection1;
    }

    public void setTcustcompanymanagersCollection1(Collection<Tcustcompanymanagers> tcustcompanymanagersCollection1) {
        this.tcustcompanymanagersCollection1 = tcustcompanymanagersCollection1;
    }

    @XmlTransient
    public Collection<Tcustpeopleexpenses> getTcustpeopleexpensesCollection() {
        return tcustpeopleexpensesCollection;
    }

    public void setTcustpeopleexpensesCollection(Collection<Tcustpeopleexpenses> tcustpeopleexpensesCollection) {
        this.tcustpeopleexpensesCollection = tcustpeopleexpensesCollection;
    }

    @XmlTransient
    public Collection<Tcustcompanybranch> getTcustcompanybranchCollection() {
        return tcustcompanybranchCollection;
    }

    public void setTcustcompanybranchCollection(Collection<Tcustcompanybranch> tcustcompanybranchCollection) {
        this.tcustcompanybranchCollection = tcustcompanybranchCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopletradereferences> getTcustpeopletradereferencesCollection() {
        return tcustpeopletradereferencesCollection;
    }

    public void setTcustpeopletradereferencesCollection(Collection<Tcustpeopletradereferences> tcustpeopletradereferencesCollection) {
        this.tcustpeopletradereferencesCollection = tcustpeopletradereferencesCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopletradereferences> getTcustpeopletradereferencesCollection1() {
        return tcustpeopletradereferencesCollection1;
    }

    public void setTcustpeopletradereferencesCollection1(Collection<Tcustpeopletradereferences> tcustpeopletradereferencesCollection1) {
        this.tcustpeopletradereferencesCollection1 = tcustpeopletradereferencesCollection1;
    }

    @XmlTransient
    public Collection<Tarmsitioalmacenamiento> getTarmsitioalmacenamientoCollection() {
        return tarmsitioalmacenamientoCollection;
    }

    public void setTarmsitioalmacenamientoCollection(Collection<Tarmsitioalmacenamiento> tarmsitioalmacenamientoCollection) {
        this.tarmsitioalmacenamientoCollection = tarmsitioalmacenamientoCollection;
    }

    @XmlTransient
    public Collection<Tgenecompany> getTgenecompanyCollection1() {
        return tgenecompanyCollection1;
    }

    public void setTgenecompanyCollection1(Collection<Tgenecompany> tgenecompanyCollection1) {
        this.tgenecompanyCollection1 = tgenecompanyCollection1;
    }

    @XmlTransient
    public Collection<Tcustpeoplevehicle> getTcustpeoplevehicleCollection() {
        return tcustpeoplevehicleCollection;
    }

    public void setTcustpeoplevehicleCollection(Collection<Tcustpeoplevehicle> tcustpeoplevehicleCollection) {
        this.tcustpeoplevehicleCollection = tcustpeoplevehicleCollection;
    }

    @XmlTransient
    public Collection<Tcustpeoplevehicle> getTcustpeoplevehicleCollection1() {
        return tcustpeoplevehicleCollection1;
    }

    public void setTcustpeoplevehicleCollection1(Collection<Tcustpeoplevehicle> tcustpeoplevehicleCollection1) {
        this.tcustpeoplevehicleCollection1 = tcustpeoplevehicleCollection1;
    }

    public Tcustfinancialinstitutions getTcustfinancialinstitutions() {
        return tcustfinancialinstitutions;
    }

    public void setTcustfinancialinstitutions(Tcustfinancialinstitutions tcustfinancialinstitutions) {
        this.tcustfinancialinstitutions = tcustfinancialinstitutions;
    }

    @XmlTransient
    public Collection<Tarmcomerciantecupo> getTarmcomerciantecupoCollection() {
        return tarmcomerciantecupoCollection;
    }

    public void setTarmcomerciantecupoCollection(Collection<Tarmcomerciantecupo> tarmcomerciantecupoCollection) {
        this.tarmcomerciantecupoCollection = tarmcomerciantecupoCollection;
    }

    @XmlTransient
    public Collection<Tsafeuser> getTsafeuserCollection() {
        return tsafeuserCollection;
    }

    public void setTsafeuserCollection(Collection<Tsafeuser> tsafeuserCollection) {
        this.tsafeuserCollection = tsafeuserCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonphone> getTcustpersonphoneCollection() {
        return tcustpersonphoneCollection;
    }

    public void setTcustpersonphoneCollection(Collection<Tcustpersonphone> tcustpersonphoneCollection) {
        this.tcustpersonphoneCollection = tcustpersonphoneCollection;
    }

    @XmlTransient
    public Collection<Tarminspeccion> getTarminspeccionCollection() {
        return tarminspeccionCollection;
    }

    public void setTarminspeccionCollection(Collection<Tarminspeccion> tarminspeccionCollection) {
        this.tarminspeccionCollection = tarminspeccionCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonpersonalreference> getTcustpersonpersonalreferenceCollection() {
        return tcustpersonpersonalreferenceCollection;
    }

    public void setTcustpersonpersonalreferenceCollection(Collection<Tcustpersonpersonalreference> tcustpersonpersonalreferenceCollection) {
        this.tcustpersonpersonalreferenceCollection = tcustpersonpersonalreferenceCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonpersonalreference> getTcustpersonpersonalreferenceCollection1() {
        return tcustpersonpersonalreferenceCollection1;
    }

    public void setTcustpersonpersonalreferenceCollection1(Collection<Tcustpersonpersonalreference> tcustpersonpersonalreferenceCollection1) {
        this.tcustpersonpersonalreferenceCollection1 = tcustpersonpersonalreferenceCollection1;
    }

    @XmlTransient
    public Collection<Tarmevaluacion> getTarmevaluacionCollection() {
        return tarmevaluacionCollection;
    }

    public void setTarmevaluacionCollection(Collection<Tarmevaluacion> tarmevaluacionCollection) {
        this.tarmevaluacionCollection = tarmevaluacionCollection;
    }

    @XmlTransient
    public Collection<Tarmevaluacion> getTarmevaluacionCollection1() {
        return tarmevaluacionCollection1;
    }

    public void setTarmevaluacionCollection1(Collection<Tarmevaluacion> tarmevaluacionCollection1) {
        this.tarmevaluacionCollection1 = tarmevaluacionCollection1;
    }

    @XmlTransient
    public Collection<Tarmagenciasucursal> getTarmagenciasucursalCollection() {
        return tarmagenciasucursalCollection;
    }

    public void setTarmagenciasucursalCollection(Collection<Tarmagenciasucursal> tarmagenciasucursalCollection) {
        this.tarmagenciasucursalCollection = tarmagenciasucursalCollection;
    }

    @XmlTransient
    public Collection<Tarmdecomiso> getTarmdecomisoCollection() {
        return tarmdecomisoCollection;
    }

    public void setTarmdecomisoCollection(Collection<Tarmdecomiso> tarmdecomisoCollection) {
        this.tarmdecomisoCollection = tarmdecomisoCollection;
    }

    @XmlTransient
    public Collection<Tarmdecomiso> getTarmdecomisoCollection1() {
        return tarmdecomisoCollection1;
    }

    public void setTarmdecomisoCollection1(Collection<Tarmdecomiso> tarmdecomisoCollection1) {
        this.tarmdecomisoCollection1 = tarmdecomisoCollection1;
    }

    @XmlTransient
    public Collection<Tcustpeopleassociation> getTcustpeopleassociationCollection() {
        return tcustpeopleassociationCollection;
    }

    public void setTcustpeopleassociationCollection(Collection<Tcustpeopleassociation> tcustpeopleassociationCollection) {
        this.tcustpeopleassociationCollection = tcustpeopleassociationCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleassociation> getTcustpeopleassociationCollection1() {
        return tcustpeopleassociationCollection1;
    }

    public void setTcustpeopleassociationCollection1(Collection<Tcustpeopleassociation> tcustpeopleassociationCollection1) {
        this.tcustpeopleassociationCollection1 = tcustpeopleassociationCollection1;
    }

    @XmlTransient
    public Collection<Tarmsolicitud> getTarmsolicitudCollection() {
        return tarmsolicitudCollection;
    }

    public void setTarmsolicitudCollection(Collection<Tarmsolicitud> tarmsolicitudCollection) {
        this.tarmsolicitudCollection = tarmsolicitudCollection;
    }

    @XmlTransient
    public Collection<Tarmtotalpersona> getTarmtotalpersonaCollection() {
        return tarmtotalpersonaCollection;
    }

    public void setTarmtotalpersonaCollection(Collection<Tarmtotalpersona> tarmtotalpersonaCollection) {
        this.tarmtotalpersonaCollection = tarmtotalpersonaCollection;
    }

    @XmlTransient
    public Collection<Tcustpeoplerealassets> getTcustpeoplerealassetsCollection() {
        return tcustpeoplerealassetsCollection;
    }

    public void setTcustpeoplerealassetsCollection(Collection<Tcustpeoplerealassets> tcustpeoplerealassetsCollection) {
        this.tcustpeoplerealassetsCollection = tcustpeoplerealassetsCollection;
    }

    @XmlTransient
    public Collection<Tcustpeoplerealassets> getTcustpeoplerealassetsCollection1() {
        return tcustpeoplerealassetsCollection1;
    }

    public void setTcustpeoplerealassetsCollection1(Collection<Tcustpeoplerealassets> tcustpeoplerealassetsCollection1) {
        this.tcustpeoplerealassetsCollection1 = tcustpeoplerealassetsCollection1;
    }

    @XmlTransient
    public Collection<Tcustpeoplejob> getTcustpeoplejobCollection() {
        return tcustpeoplejobCollection;
    }

    public void setTcustpeoplejobCollection(Collection<Tcustpeoplejob> tcustpeoplejobCollection) {
        this.tcustpeoplejobCollection = tcustpeoplejobCollection;
    }

    @XmlTransient
    public Collection<Tcustpeoplejob> getTcustpeoplejobCollection1() {
        return tcustpeoplejobCollection1;
    }

    public void setTcustpeoplejobCollection1(Collection<Tcustpeoplejob> tcustpeoplejobCollection1) {
        this.tcustpeoplejobCollection1 = tcustpeoplejobCollection1;
    }

    @XmlTransient
    public Collection<Tcustcompany> getTcustcompanyCollection() {
        return tcustcompanyCollection;
    }

    public void setTcustcompanyCollection(Collection<Tcustcompany> tcustcompanyCollection) {
        this.tcustcompanyCollection = tcustcompanyCollection;
    }

    @XmlTransient
    public Collection<Tarmregistroarmas> getTarmregistroarmasCollection() {
        return tarmregistroarmasCollection;
    }

    public void setTarmregistroarmasCollection(Collection<Tarmregistroarmas> tarmregistroarmasCollection) {
        this.tarmregistroarmasCollection = tarmregistroarmasCollection;
    }

    @XmlTransient
    public Collection<Tarmcustodiatemporal> getTarmcustodiatemporalCollection() {
        return tarmcustodiatemporalCollection;
    }

    public void setTarmcustodiatemporalCollection(Collection<Tarmcustodiatemporal> tarmcustodiatemporalCollection) {
        this.tarmcustodiatemporalCollection = tarmcustodiatemporalCollection;
    }

    @XmlTransient
    public Collection<Tarmcustodiatemporal> getTarmcustodiatemporalCollection1() {
        return tarmcustodiatemporalCollection1;
    }

    public void setTarmcustodiatemporalCollection1(Collection<Tarmcustodiatemporal> tarmcustodiatemporalCollection1) {
        this.tarmcustodiatemporalCollection1 = tarmcustodiatemporalCollection1;
    }

    @XmlTransient
    public Collection<Tarmcertificadofiscalia> getTarmcertificadofiscaliaCollection() {
        return tarmcertificadofiscaliaCollection;
    }

    public void setTarmcertificadofiscaliaCollection(Collection<Tarmcertificadofiscalia> tarmcertificadofiscaliaCollection) {
        this.tarmcertificadofiscaliaCollection = tarmcertificadofiscaliaCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (personcode != null ? personcode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tcustperson)) {
            return false;
        }
        Tcustperson other = (Tcustperson) object;
        if ((this.personcode == null && other.personcode != null) || (this.personcode != null && !this.personcode.equals(other.personcode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tcustperson[ personcode=" + personcode + " ]";
    }
    
}
